close all
clear all
clc

fc=500;                 %Freq. di campionamento
Tf=10;                  %Durata delle simulazioni
Tc=1/fc;                %Perieodo di campionamento

g=9.81;
l=1;

x0=pi;
xp0=1;

sim('pendolo_sim',Tf)

figure
subplot(1,2,1)
plot(x(:,1),x(:,2),'.')
xLabel('Tempo')
ylabel('Theta')
grid

subplot(1,2,2)
plot(x(:,2),xp(:,2),'.')
xLabel('Theta')
yLabel('Theta_p')
grid

figure
for i = 1:10
    x0=pi/2;
    xp0=-i;
    sim('pendolo_sim',Tf)
    plot(x(:,2),xp(:,2),'.')
    hold on
end

grid
xLabel('Theta')
yLabel('Theta_p')